FileUtils (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.util
Class FileUtils

    java.lang.Object
      org.apache.cassandra.io.util.FileUtils

    public class FileUtils

extends java.lang.Object

Nested Class Summary
`static class` | `FileUtils.FileComparator`

Constructor Summary
`FileUtils()`

Method Summary
`static void` | `close(java.lang.Iterable<? extends java.io.Closeable> cs)`
`static void` | `closeQuietly(java.io.Closeable c)`
`static void` | `createDirectory(java.io.File directory)`
`static void` | `createDirectory(java.lang.String directory)`
`static void` | `delete(java.io.File[] files)`
`static boolean` | `delete(java.lang.String file)`
`static void` | `deleteAsync(java.lang.String file)`
`static void` | `deleteRecursive(java.io.File dir)` Deletes all files and subdirectories under "dir".
`static void` | `deleteWithConfirm(java.io.File file)`
`static void` | `deleteWithConfirm(java.lang.String file)`
`static void` | `renameWithConfirm(java.io.File from, java.io.File to)`
`static void` | `skipBytesFully(java.io.DataInput in, int bytes)`
`static void` | `skipBytesFully(java.io.DataInput in, long bytes)`
`static java.lang.String` | `stringifyFileSize(double value)`
`static void` | `truncate(java.lang.String path, long size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### deleteWithConfirm

    public static void deleteWithConfirm(java.lang.String file)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### deleteWithConfirm

    public static void deleteWithConfirm(java.io.File file)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renameWithConfirm

    public static void renameWithConfirm(java.io.File from,
                                         java.io.File to)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### truncate

    public static void truncate(java.lang.String path,
                                long size)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeQuietly

    public static void closeQuietly(java.io.Closeable c)

### close

    public static void close(java.lang.Iterable<? extends java.io.Closeable> cs)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### createDirectory

    public static void createDirectory(java.lang.String directory)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### createDirectory

    public static void createDirectory(java.io.File directory)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    public static boolean delete(java.lang.String file)

### delete

    public static void delete(java.io.File[] files)

### deleteAsync

    public static void deleteAsync(java.lang.String file)

### stringifyFileSize

    public static java.lang.String stringifyFileSize(double value)

### deleteRecursive

    public static void deleteRecursive(java.io.File dir)
                                throws java.io.IOException

  Deletes all files and subdirectories under "dir".

  Parameters:
    `dir` - Directory to be deleted
  Throws:
    `java.io.IOException` - if any part of the tree cannot be deleted

### skipBytesFully

    public static void skipBytesFully(java.io.DataInput in,
                                      int bytes)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipBytesFully

    public static void skipBytesFully(java.io.DataInput in,
                                      long bytes)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation